Request
This endpoint expects an object.
companyIdintegerRequired
Unique numeric ID of the Company account. This is a read-only field; do not set or modify its value in a POST or PUT request.
companyNamestringOptional<=200 characters
The name of the business associated with the Company account.
companyEmailstringOptionalformat: "email"1-200 characters
The primary email address for the Company account.
companyPhonestringOptional<=50 characters
The primary phone number for the Company account.
customerGroupIdintegerOptional
The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) for more information.
addressLine1stringOptional<=200 characters
The first line of the primary address for the Company account.
addressLine2stringOptional<=200 characters
The second line of the primary address for the Company account.
citystringOptional1-100 characters
The city of the primary address for the Company account.
statestringOptional1-50 characters
The state of the primary address for the Company account, if applicable. This must be the full name and not an abbreviation.
countrystringOptional1-200 characters
The country of the primary address for the Company account. This must be either the full name or the ISO2 country code.
zipCodestringOptional<=50 characters
The postal code of the primary address for the Company account.
priceListAssignlist of objectsOptional
Use this array to assign a price list to a Company account if your store uses legacy Dependent Companies behavior *and* it has Multi-Storefront enabled. Use catalogId to assign price lists if you have not enabled Multi-Storefront.
This field is read-only for stores using Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) for more information.
extraFieldslist of objectsOptional
To use customized extra fields with field names you need to first add company extra fields in Settings > Extra fields inside B2B edition.
e.g., If you want to create a new company with an extra integer field named licenseNO, you can use this structure [{‘fieldName’: ‘LicenseNO’, ‘fieldValue’: 10342340323}] in the request body.